#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#define MAXN 100

int main()
{
    int n,i,rez=0,k=0,j;
    char a[MAXN],b[MAXN];
    gets(a);
    k=strlen(a);
    for(i=0;i<k;i++){
   if(a[i]==a[i+3]||a[i]==a[i-3]){
    rez++;
  }
}
printf("%d",rez);
}